Win03 + (ISAPI +PHP5.2)+(FastCGI + PHP5.3) + Mysql 配置

in 系统环境
关注公众号【好便宜】( ID:haopianyi222 ),领红包啦~
阿里云,国内最大的云服务商,注册就送数千元优惠券:https://t.cn/AiQe5A0g
腾讯云,良心云,价格优惠: https://t.cn/AieHwwKl
搬瓦工,CN2 GIA 优质线路,搭梯子、海外建站推荐: https://t.cn/AieHwfX9

安装包文件

php5.2-ts
NTS 版本不支持 Zend Optimizer
php5.3-nts
TS版本不支持Zend Guard Loader
mysql5.1
兼容性比较强
zend optimizer
解码器

注意的问题

php.ini 文件的双加载

由于php.ini的加载机制在IIS上和apache上有所不同, 这里就IIS单独说下
加载顺序
- PHP.ini 的注册表项目 'IniFilePath'
- PHP的安装目录(isapi模式不识别, fastCGI识别)
- windows目录
这里注册表和PHP环境变量都不能使用,否则就加载相同的配置, 不可取, 于是fastCGI加载php安装目录, isapi 加载C:/windows下的php.ini 文件

Mysql安装出错

检查下时间管理器, 右键-> 我的电脑 -> 管理 -> 事件查看器

mysql 安装时候不同版本之间的数据表不可读
由于安装的时候存在5.6版本的数据库并且, 数据路径使用同样的数据路径导致的.重新更换下数据库的目录
mysql 安装时候不同版本之间的数据表不可读
服务存在不可安装
之前服务没有删除, 使用sc命令处理
服务存在不可安装

不加载Mysql扩展

这里需要复制php文件夹下的 libmysql 文件到windows/system32 文件夹中,其余文件一律不复制(ex:libeay32.dll,php5ts.dll,ssleay32.dll), 并且需要给 libmysql 赋予 IUser_***和NETWORK用户可以读写的权限

关注公众号【好便宜】( ID:haopianyi222 ),领红包啦~
阿里云,国内最大的云服务商,注册就送数千元优惠券:https://t.cn/AiQe5A0g
腾讯云,良心云,价格优惠: https://t.cn/AieHwwKl
搬瓦工,CN2 GIA 优质线路,搭梯子、海外建站推荐: https://t.cn/AieHwfX9
扫一扫关注公众号添加购物返利助手,领红包
Comments are closed.